Welche Python-Version wird mit ArcGIS 10.0 unterstützt?

Software: ArcGIS Desktop 10.0
Betriebssystem:

Bei der Installation von ArcGIS 10.0 wird die Python Version 2.6.5 automatisch mit installiert. Ein Update auf 2.6.6 ist möglich, nicht jedoch die Installation einer höheren Version wie z.B. 2.7, da das neue site-package ArcPy fest an die Python Version 2.6.x gebunden ist.

Das ArcPy site-package tritt an die Stelle des arcgisscripting Moduls von ArcGIS 9.2/9.3(1). Dennoch ist die Nutzung des arcgisscripting Moduls in Python Skripten auch mit ArcGIS 10.0 nach wie vor möglich.

Sollen weiterhin Skripte laufen, die das win32com Modul importieren oder soll PythonWin nach wie vor als Editor eingesetzt werden, muss PythonWin32 unter ArcGIS 10.0 separat installiert werden. Vor der Installation von PythonWin32 sollten ältere PythonWin- und Python-Versionen deinstalliert werden. Gleichfalls können Skripte, die das Modul arcpy verwenden, nicht mit älteren ArcGIS Versionen laufen.

PythonWin wird bei der Installation von ArcGIS 10.0 nicht automatisch mit installiert, die Installationsdaten werden jedoch auf der ArcGIS Desktop 10.0 Installations-DVD mitgeliefert, so dass das Programm nachträglich installiert werden kann.


Alle Informationen auf dieser Seite haben keinen Anspruch auf Vollständigkeit oder Genauigkeit und werden nicht mehr aktualisiert.